# This file created by conda-build 24.5.0
# ------------------------------------------------

package:
  name: libabseil
  version: '20240116.2'
source:
  patches:
    - patches/0001-default-dll-import-for-windows.patch
    - patches/0002-don-t-use-C-20-stdlib-features-which-change-ABI-comp.patch
    - patches/0003-unconditionally-export-Mutex-Destructor.patch
  sha256: 733726b8c3a6d39a4120d7e45ea8b41a434cdacde401cba500f14236c49b39dc
  url: https://github.com/abseil/abseil-cpp/archive/refs/tags/20240116.2.tar.gz
build:
  number: 0
  run_exports:
    - libabseil =*=cxx17*
    - libabseil >=20240116.2,<20240116.3.0a0
  string: cxx17_h5da7b33_0
requirements:
  build:
    - bzip2 1.0.8 h2bbff1b_6
    - cmake 3.26.4 h693b641_0
    - libuv 1.44.2 h2bbff1b_0
    - lz4-c 1.9.4 h2bbff1b_1
    - ninja-base 1.10.2 h6d14046_5
    - vc 14.2 h2eaa2aa_1
    - vs2015_runtime 14.29.30133 h43f2093_3
    - vs2019_win-64 19.29.30154 h96f319f_3
    - vswhere 2.8.4 haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
    - zstd 1.5.5 hd43e919_2
  host:
    - vc 14.2 h2eaa2aa_1
    - vs2015_runtime 14.29.30133 h43f2093_3
  run:
    - vc >=14.2,<15.0a0
    - vs2015_runtime >=14.29.30133,<15.0a0
  run_constrained:
    - abseil-cpp =20240116.2
    - libabseil-static =20240116.2=cxx17*
test:
  commands:
    - if not exist %LIBRARY_BIN%\\abseil_dll.dll exit 1
    - if not exist %LIBRARY_LIB%\\abseil_dll.lib exit 1
    - if exist %LIBRARY_BIN%\\abseil_test_dll.dll exit 1
    - if exist %LIBRARY_LIB%\\abseil_test_dll.lib exit 1
    - if not exist %LIBRARY_LIB%\\absl_log_flags.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_log_flags
    - if not exist %LIBRARY_LIB%\\absl_flags_commandlineflag.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_commandlineflag
    - if not exist %LIBRARY_LIB%\\absl_flags_config.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_config
    - if not exist %LIBRARY_LIB%\\absl_flags_marshalling.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_marshalling
    - if not exist %LIBRARY_LIB%\\absl_flags_parse.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_parse
    - if not exist %LIBRARY_LIB%\\absl_flags_private_handle_accessor.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_private_handle_accessor
    - if not exist %LIBRARY_LIB%\\absl_flags_program_name.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_program_name
    - if not exist %LIBRARY_LIB%\\absl_flags_reflection.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_reflection
    - if not exist %LIBRARY_LIB%\\absl_flags_usage.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_flags_usage
    - if exist %LIBRARY_LIB%\\absl_base.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_base
    - if exist %LIBRARY_LIB%\\absl_civil_time.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_civil_time
    - if exist %LIBRARY_LIB%\\absl_cord.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_cord
    - if exist %LIBRARY_LIB%\\absl_cordz_functions.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_cordz_functions
    - if exist %LIBRARY_LIB%\\absl_cordz_handle.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_cordz_handle
    - if exist %LIBRARY_LIB%\\absl_cordz_info.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_cordz_info
    - if exist %LIBRARY_LIB%\\absl_cordz_sample_token.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_cordz_sample_token
    - if exist %LIBRARY_LIB%\\absl_examine_stack.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_examine_stack
    - if exist %LIBRARY_LIB%\\absl_exponential_biased.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_exponential_biased
    - if exist %LIBRARY_LIB%\\absl_failure_signal_handler.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_failure_signal_handler
    - if exist %LIBRARY_LIB%\\absl_hash.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_hash
    - if exist %LIBRARY_LIB%\\absl_hashtablez_sampler.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_hashtablez_sampler
    - if exist %LIBRARY_LIB%\\absl_int128.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_int128
    - if exist %LIBRARY_LIB%\\absl_log_severity.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_log_severity
    - if exist %LIBRARY_LIB%\\absl_low_level_hash.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_low_level_hash
    - if exist %LIBRARY_LIB%\\absl_periodic_sampler.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_periodic_sampler
    - if exist %LIBRARY_LIB%\\absl_random_distributions.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_random_distributions
    - if exist %LIBRARY_LIB%\\absl_random_seed_gen_exception.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_random_seed_gen_exception
    - if exist %LIBRARY_LIB%\\absl_random_seed_sequences.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_random_seed_sequences
    - if exist %LIBRARY_LIB%\\absl_raw_hash_set.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_raw_hash_set
    - if exist %LIBRARY_LIB%\\absl_scoped_set_env.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_scoped_set_env
    - if exist %LIBRARY_LIB%\\absl_spinlock_wait.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_spinlock_wait
    - if exist %LIBRARY_LIB%\\absl_stacktrace.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_stacktrace
    - if exist %LIBRARY_LIB%\\absl_status.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_status
    - if exist %LIBRARY_LIB%\\absl_statusor.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_statusor
    - if exist %LIBRARY_LIB%\\absl_strerror.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_strerror
    - if exist %LIBRARY_LIB%\\absl_strings.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_strings
    - if exist %LIBRARY_LIB%\\absl_symbolize.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_symbolize
    - if exist %LIBRARY_LIB%\\absl_synchronization.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_synchronization
    - if exist %LIBRARY_LIB%\\absl_time.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_time
    - if exist %LIBRARY_LIB%\\absl_time_zone.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" absl_time_zone
    - if exist %LIBRARY_LIB%\\absl_scoped_mock_log.lib exit 1
    - pkg-config --print-errors --exact-version "20240116" abseil_dll
    - cd cmake_test
    - set "CMAKE_ARGS=%CMAKE_ARGS% -GNinja -DCMAKE_BUILD_TYPE=Release"
    - cmake %CMAKE_ARGS% -DCMAKE_CXX_STANDARD=17 .
    - cmake --build .
    - flags_example.exe
  files:
    - cmake_test/
  requires:
    - cmake
    - ninja-base
    - pkg-config
    - vs2019_win-64
about:
  description: 'Abseil is an open-source collection of C++ code (compliant to C++11)

    designed to augment the C++ standard library.

    '
  dev_url: https://github.com/abseil/abseil-cpp
  doc_url: https://github.com/abseil/abseil-cpp
  home: https://github.com/abseil/abseil-cpp
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Abseil Common Libraries (C++)
extra:
  copy_test_source_files: true
  feedstock-name: abseil-cpp
  final: true
  flow_run_id: cb668322-7fa2-4220-81f9-5ae6ae76a250
  recipe-maintainers:
    - bluescarni
    - h-vetinari
    - njzjz
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/abseil-cpp-feedstock.git
  sha: ace7acdaf2200210fa408c792240c7393c70c29e
